Subject: Re: Deleting branches

From: Michael J Gruber <[email-masked]>
Date: Fri, 26 Mar 2010 16:12:11 +0100

jhapk venit, vidit, dixit 26.03.2010 15:41:
> 
> Hi,
> I wanted to see the all the branches of a remote repository and so in my
> .git/config file I had something like
> [remote "jeff"]
>         url = /nfs/kris/d1/people/jeff/cffc
>         fetch = +refs/heads/*:refs/remotes/jeff/*
> 
> But then I decided that I only need to see one particular_branch and I
> changed it to
> [remote "jeff"]
>         url = /nfs/kris/d1/people/jeff/cffc
>         fetch =
> +refs/heads/particular_branch:refs/remotes/jeff/particular_branch
> 
> But even now, when I do a $git branch -a, I see this
> [pradeep@scaramanga cffc]$ git branch -a
>   jeff
>   master
> * work
>   jeff/local
>   jeff/master
>   jeff/particular_branch
>   origin/HEAD
>   origin/master
>   origin/work
> 
> Why am I still getting the other jeff branches in my list

Because the config determines what is fetched, it does not delete
existing refs.

> and how do I
> delete them?
> THanks

git branch -Dr jeff/other_branch

Cheers,
Michael